package Apache::ReverseLocation;

use ExtUtils::MakeMaker;
use Apache::ExtUtils qw(command_table);
use Apache::src ();
use strict;

require 5.005;

my @directives = (
  #------------------------------------------------------------------
  # Location overrides the default <Location> from core
  #------------------------------------------------------------------
  { name         => '<Location',
    errmsg       => (join " ", ('Container for directives affecting', 
                               'resources accessed through the',
                               'specified URL paths')),
    args_how     => 'RAW_ARGS',
    req_override => 'OR_ALL', },

  { name         => '<LocationMatch',
    errmsg       => (join " ", ('Container for directives affecting', 
                               'resources accessed through the',
                               'specified URL paths')),
    args_how     => 'RAW_ARGS',
    req_override => 'OR_ALL', },

  { name         => 'Alias',
    errmsg       => 'provide reverse container aliasing',
    args_how     => 'TAKE23',
    req_override => 'OR_ALL', },

);

command_table(\@directives);

WriteMakefile(
  'NAME'         => __PACKAGE__,
  'VERSION_FROM' => 'ReverseLocation.pm',
  'INC'          => Apache::src->new->inc,
  'PREREQ_PM'    => { mod_perl => 1.2401, },
  'clean'        => { FILES => '*.xs*' },
);
